package com.bzd.system.service.dtp;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 药学警戒表 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SDtpZskcxPharmacovigilanceService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSDtpZskcxPharmacovigilance(PageData pd)throws Exception {
        return daoSupport.update("SDtpZskcxPharmacovigilanceMapper.addSDtpZskcxPharmacovigilance", pd);
    }

    public List<PageData> findSDtpZskcxPharmacovigilanceList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SDtpZskcxPharmacovigilanceMapper.selectSDtpZskcxPharmacovigilanceList", pd);
    }

    public Integer SDtpZskcxPharmacovigilanceRemove(PageData pd)throws Exception {
        return daoSupport.delete("SDtpZskcxPharmacovigilanceMapper.SDtpZskcxPharmacovigilanceRemove", pd);
    }


    public Integer updateSDtpZskcxPharmacovigilance(PageData pd)throws Exception {
        return daoSupport.update("SDtpZskcxPharmacovigilanceMapper.updateSDtpZskcxPharmacovigilance", pd);
    }

}
